#include <LINK/userobj/PostAnalyze.h>
#include <limits.h>

void
init_post(Graph* g) {
        int i;
        SortedArray<Vertex*> vert_set = g->vertices();
        int vert_cost = 0;
        int g_order = g->order();
        for (i = 0; i < g_order; i++) {
                setAttribute((GraphObject*)vert_set[i], "placed", 0);
                setAttribute((GraphObject*)vert_set[i], "displayed", 0);
                setAttribute((GraphObject*)vert_set[i], "cost", 0);
                setAttribute((GraphObject*)vert_set[i], "rank", INT_MAX);
        }
}



